Loading...
Searching...
No Matches
lirc.database.Database Class Reference
python configuration database

Reflects the *.yaml files in the configs/ directory. More...

Inheritance diagram for lirc.database.Database:

## Public Member Functions

| __init__ (self, path=None, yamlpath=None)
| kernel_drivers (self)
| The kernel-drivers dictionary, drivers.yaml + kernel-drivers.yaml.
| drivers (self)
| The drivers dictionary, drivers.yaml + kernel-drivers.yaml.
| configs (self)
| Return dict of parsed config/*.conf files, keyd by id.
| remotes_by_driver (self, driver)
| Return the list of remotes suggested for a given driver.
| lircmd_by_driver (self, driver)
| Return list of lircmd.conf file for given driver or None.
| driver_by_remote (self, remote)
| Return the driver (possibly None) suggested for a remote.
| find_config (self, key, value)
| Return item (a config) in configs where config[key] == value.

## Public Attributes

| db = db

## Detailed Description

Reflects the *.yaml files in the configs/ directory.

Definition at line 126 of file database.py.

## Constructor & Destructor Documentation

## __init__()

lirc.database.Database.__init__ | ( |  | self,
|  |  | path = None,
|  |  | yamlpath = None )

Definition at line 128 of file database.py.

## Member Function Documentation

## configs()

lirc.database.Database.configs | ( |  | self | ) |

Return dict of parsed config/*.conf files, keyd by id.

Definition at line 190 of file database.py.

## driver_by_remote()

lirc.database.Database.driver_by_remote | ( |  | self,
|  |  | remote )

Return the driver (possibly None) suggested for a remote.

Definition at line 212 of file database.py.

## drivers()

lirc.database.Database.drivers | ( |  | self | ) |

The drivers dictionary, drivers.yaml + kernel-drivers.yaml.

Definition at line 185 of file database.py.

## find_config()

lirc.database.Database.find_config | ( |  | self,
|  |  | key,
|  |  | value )

Return item (a config) in configs where config[key] == value.

Definition at line 219 of file database.py.

## kernel_drivers()

lirc.database.Database.kernel_drivers | ( |  | self | ) |

The kernel-drivers dictionary, drivers.yaml + kernel-drivers.yaml.

Definition at line 180 of file database.py.

## lircmd_by_driver()

lirc.database.Database.lircmd_by_driver | ( |  | self,
|  |  | driver )

Return list of lircmd.conf file for given driver or None.

Definition at line 203 of file database.py.

## remotes_by_driver()

lirc.database.Database.remotes_by_driver | ( |  | self,
|  |  | driver )

Return the list of remotes suggested for a given driver.

Definition at line 194 of file database.py.

## Member Data Documentation

## db

lirc.database.Database.db = db

Definition at line 175 of file database.py.

The documentation for this class was generated from the following file:

- database.py